> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vector Stores

> List all vector stores in your account with pagination.

Returns vector stores sorted by creation date (newest first). Each store includes its configuration,
embedding model, dimensions, indexed fields, and timestamps.



## OpenAPI

````yaml https://api.dev-sgp.scale.com/openapi-versions/v5/openapi.json get /v5/vector-stores
openapi: 3.1.0
info:
  title: EGP API V5
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
paths:
  /v5/vector-stores:
    get:
      tags:
        - Vector Stores
      summary: List Vector Stores
      description: >-
        List all vector stores in your account with pagination.


        Returns vector stores sorted by creation date (newest first). Each store
        includes its configuration,

        embedding model, dimensions, indexed fields, and timestamps.
      operationId: GET-V5-/v5/vector-stores
      parameters:
        - name: starting_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Starting After
        - name: ending_before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ending Before
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 10000
            minimum: 1
            default: 100
            title: Limit
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrder'
              - type: 'null'
            default: asc
            title: Sort Order
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedList_VectorStoreResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SortOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortOrder
    PaginatedList_VectorStoreResponse_:
      properties:
        object:
          type: string
          const: list
          title: Object
          default: list
        items:
          items:
            $ref: '#/components/schemas/VectorStoreResponse'
          type: array
          title: Items
        limit:
          type: integer
          title: Limit
          description: The maximum number of items to return.
          default: 100
        total:
          type: integer
          title: Total
          description: >-
            The total of items that match the query. This is greater than or
            equal to the number of items returned.
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more items left to be fetched.
      type: object
      required:
        - items
        - total
        - has_more
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VectorStoreResponse:
      properties:
        name:
          type: string
          title: Name
          description: The name of the vector store
        embedding_config:
          $ref: '#/components/schemas/EmbeddingConfig'
          description: >-
            Embedding configuration identifying the model and its type. None for
            raw-embedding-only stores.
        embedding_dimensions:
          type: integer
          title: Embedding Dimensions
          description: Dimensionality of the embedding vectors
        indexed_metadata_fields:
          title: Indexed Metadata Fields
          description: Dictionary mapping metadata field names to their types
          additionalProperties:
            $ref: '#/components/schemas/DocumentFieldType'
          type: object
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp of creation
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp of last update
      type: object
      required:
        - name
        - embedding_dimensions
        - created_at
        - updated_at
      title: VectorStoreResponse
      description: Response model for vector store operations.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          title: Error Type
          type: string
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EmbeddingConfig:
      anyOf:
        - $ref: '#/components/schemas/EmbeddingConfigModelsAPI'
        - $ref: '#/components/schemas/EmbeddingConfigBase'
      title: EmbeddingConfig
    DocumentFieldType:
      type: string
      enum:
        - string
        - number
        - boolean
      title: DocumentFieldType
      description: |-
        Supported document field types for indexed metadata fields.

        Only STRING, NUMBER, and BOOLEAN types can be indexed for filtering.
        OBJECT and LIST values in document metadata are automatically stored
        as non-indexed fields and do not need to be declared here.
    EmbeddingConfigModelsAPI:
      properties:
        type:
          type: string
          const: models_api
          title: Type
          description: The type of the embedding configuration.
        model_deployment_id:
          type: string
          title: Model Deployment Id
          description: The ID of the deployment of the created model in the Models API V3.
      type: object
      required:
        - type
        - model_deployment_id
      title: EmbeddingConfigModelsAPI
    EmbeddingConfigBase:
      properties:
        type:
          type: string
          const: base
          title: Type
          description: The type of the embedding configuration.
          default: base
        embedding_model:
          $ref: '#/components/schemas/EmbeddingModelName'
          description: >-
            The name of the base embedding model to use. To use custom models,
            change to type 'models'.
      type: object
      required:
        - embedding_model
      title: EmbeddingConfigBase
    EmbeddingModelName:
      type: string
      enum:
        - sentence-transformers/all-MiniLM-L12-v2
        - sentence-transformers/all-mpnet-base-v2
        - sentence-transformers/multi-qa-distilbert-cos-v1
        - sentence-transformers/paraphrase-multilingual-mpnet-base-v2
        - openai/text-embedding-ada-002
        - openai/text-embedding-3-small
        - openai/text-embedding-3-large
        - embed-english-v3.0
        - embed-english-light-v3.0
        - embed-multilingual-v3.0
        - gemini/text-embedding-005
        - gemini/text-multilingual-embedding-002
        - gemini/gemini-embedding-001
      title: EmbeddingModelName
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````